VPS侦探论坛

 找回密码
 注册
查看: 250|回复: 1

CentOS 7.2 安装失败

[复制链接]
发表于 2022-5-16 15:21:26 | 显示全部楼层 |阅读模式

CentOS 7.2 安装失败
http://www.ysmiji.com/lnmp-install.zip
麻烦军哥看看 谢谢


美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-5-16 20:23:01 | 显示全部楼层


Installing:
gcc-c++                 x86_64         4.8.5-44.el7         base         7.2 M
Installing for dependencies:
libstdc++-devel         x86_64         4.8.5-44.el7         base         1.5 M
Updating for dependencies:
libstdc++               x86_64         4.8.5-44.el7         base         306 k

Transaction Summary
================================================================================
Install  1 Package  (+1 Dependent package)
Upgrade             ( 1 Dependent package)

Total download size: 9.0 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.


Exiting on user cancel
。。。。。。
/bin/sh ./libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I./src  -I./src   -DNO_TCMALLOC_SAMPLES -pthread -DNDEBUG -Wall -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -fno-builtin-malloc -fno-builtin-free -fno-builtin-realloc -fno-builtin-calloc -fno-builtin-cfree -fno-builtin-memalign -fno-builtin-posix_memalign -fno-builtin-valloc -fno-builtin-pvalloc  -Wno-unused-result    -DNO_FRAME_POINTER  -c -o src/libtcmalloc_minimal_la-tcmalloc.lo `test -f 'src/tcmalloc.cc' || echo './'`src/tcmalloc.cc
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I./src -I./src -DNO_TCMALLOC_SAMPLES -pthread -DNDEBUG -Wall -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -fno-builtin-malloc -fno-builtin-free -fno-builtin-realloc -fno-builtin-calloc -fno-builtin-cfree -fno-builtin-memalign -fno-builtin-posix_memalign -fno-builtin-valloc -fno-builtin-pvalloc -Wno-unused-result -DNO_FRAME_POINTER -c src/tcmalloc.cc  -o src/.libs/libtcmalloc_minimal_la-tcmalloc.o
./libtool: line 1858: g++: command not found
make: *** [src/libtcmalloc_minimal_la-tcmalloc.lo] Error 1

这个好像是centos 7上某些版本下存在的bug,可以尝试一下方法:
编辑 /usr/lib/python2.7/site-packages/urlgrabber/grabber.py  查找 raise KeyboardInterrupt 一般在15xx行左右 elif errcode == 42: 这一行及注释下面,将 raise KeyboardInterrupt 这行前面加上 # 或删掉
保存,然后再运行:
yum clean metadata
yum clean all
yum install gcc-c++   看一下能否正常安装
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-7-5 15:22 , Processed in 0.017200 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表